import { ElementRef, AfterViewChecked } from '@angular/core';
export declare class DynamicHeightDirective implements AfterViewChecked {
    private dynamicElement;
    simulatorElement: any;
    carouselElement: any;
    constructor(dynamicElement: ElementRef);
    ngAfterViewChecked(): void;
    private setDynamicHeightForSimualtorDiv(simulatorElement);
    private setDynamicHeightForCarouselDiv(carouselElement);
}
